Skip to main content
`Ctrl`+`K`

# EPSSetConvergenceTest

Specifies how to compute the error estimate used in the convergence test.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetConvergenceTest(EPS eps,EPSConv conv)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- conv - the type of convergence test, see `EPSConv` for possible values

## Options Database Keys

- -eps_conv_abs - sets the absolute convergence test

- -eps_conv_rel - sets the convergence test relative to the eigenvalue

- -eps_conv_norm - sets the convergence test relative to the matrix norms

- -eps_conv_user - selects the user-defined convergence test

## See Also

EPS: Eigenvalue Problem Solver, `EPSGetConvergenceTest()`, `EPSSetConvergenceTestFunction()`, `EPSSetStoppingTest()`, `EPSConv`

## Level

intermediate

## Location

src/eps/interface/epsopts.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages